summaryrefslogtreecommitdiffstats
path: root/testsuite/systemtap.apps/stap-tcl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/systemtap.apps/stap-tcl.sh')
-rw-r--r--testsuite/systemtap.apps/stap-tcl.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/testsuite/systemtap.apps/stap-tcl.sh b/testsuite/systemtap.apps/stap-tcl.sh
new file mode 100644
index 00000000..919f632d
--- /dev/null
+++ b/testsuite/systemtap.apps/stap-tcl.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+tclreleasemajor="8.6"
+tclrelease="8.6b1"
+tcldir=`pwd`/tcl/install/
+
+mkdir -p tcl
+
+if [ ! -r tcl$tclrelease-src.tar.gz ] ; then
+ wget http://sourceforge.net/projects/tcl/files/Tcl/$tclrelease/tcl$tclrelease-src.tar.gz/download
+fi
+
+if [ ! -d tcl/src ] ; then
+ tar -x -z -f tcl$tclrelease-src.tar.gz
+ mv tcl$tclrelease tcl/src
+fi
+
+cd tcl/src/unix
+env CPPFLAGS="-I$SYSTEMTAP_INCLUDES" CFLAGS="-g -O2" ./configure --prefix=$tcldir --enable-dtrace
+make -j2
+make install
+
+exit 0